%include	/usr/lib/rpm/macros.perl
Summary:	Essential command-line utilities for MySQL
Name:		percona-toolkit
Version:	2.2.6
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	https://www.percona.com/downloads/percona-toolkit/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2a008bccc3b62b5362d01a03c916e88d
URL:		http://www.percona.com/software/percona-toolkit/
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	perl-DBD-mysql >= 1.0
Requires:	perl-DBI >= 1.13
Requires:	perl-Term-ReadKey >= 2.10
Obsoletes:	mysqldumpgrants
Obsoletes:	mysqltoolkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Percona Toolkit for MySQL is a collection of advanced command-line
tools used by Percona MySQL Support staff to perform a variety of
MySQL server and system tasks that are too difficult or complex to
perform manually, including:
- Verify master and replica data consistency
- Efficiently archive rows
- Find duplicate indexes
- Summarize MySQL servers
- Analyze queries from logs and tcpdump
- Collect vital system information when problems occur

Percona Toolkit for MySQL is derived from Maatkit and Aspersa, two of
the best-known MySQL management software utility toolkits for MySQL
server administration.

%prep
%setup -q

# change shebang to be actual interpreter for rpm to generate deps on the
# interpreters.
%{__sed} -i -e '1s,^#!.*env *perl,#!%{__perl},' bin/pt-*
%{__sed} -i -e '1s,^#!.*env bash,#!/bin/bash,' bin/pt-*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/percona-version-check

ln -s pt-show-grants $RPM_BUILD_ROOT%{_bindir}/mysqldumpgrants
echo '.so man1/pt-show-grants.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/mysqldumpgrants.1

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{name}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{_sysconfdir}/%{name}
%ghost %{_sysconfdir}/%{name}/percona-version-check
%attr(755,root,root) %{_bindir}/pt-*
%attr(755,root,root) %{_bindir}/mysqldumpgrants
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/pt-*.1*
%{_mandir}/man1/mysqldumpgrants.1
%changelog
* Fri Dec 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/percona-toolkit.git;a=log;h=master

* Fri Dec 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e28afd
- up to 2.2.6

* Mon Oct 14 2013 Elan Ruusamäe <glen@delfi.ee> 5ffaf46
- do not obsolete maatkit, maatkit tools behave differently, and percona does not offer sometimes same functionality

* Mon Oct 14 2013 Elan Ruusamäe <glen@delfi.ee> a96c14d
- package percona-version-check file as ghost

* Tue Aug 13 2013 Elan Ruusamäe <glen@delfi.ee> d7e757d
- update description from website

* Tue Aug 13 2013 Elan Ruusamäe <glen@delfi.ee> ee745d1
- up to v2.2.4 released 2013-07-18

* Tue Aug 13 2013 Elan Ruusamäe <glen@delfi.ee> 07df2db
- v2.2.3 released 2013-06-17

* Mon Jun 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b4fc056
- up to 2.2.2

* Tue Feb 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 78a6ed8
- up to 2.1.9

* Thu Dec 06 2012 Elan Ruusamäe <glen@delfi.ee> 3769389
- install mysqldumpgrants alias

* Fri Nov 30 2012 Elan Ruusamäe <glen@delfi.ee> a77b48b
- up to v2.1.7, released 2012-11-19

* Sat Nov 17 2012 Elan Ruusamäe <glen@delfi.ee> acedff0
- up to 2.1.6

* Thu Oct 11 2012 Elan Ruusamäe <glen@delfi.ee> 9f11006
- up to 2.1.4

* Wed Feb 08 2012 Elan Ruusamäe <glen@pld-linux.org> ee34ba2
- up to 2.0.3, still some tools problematic

* Sun Oct 09 2011 Elan Ruusamäe <glen@pld-linux.org> 65ef6a9
- remove programs using predicable /tmp files for now

* Sun Oct 09 2011 Elan Ruusamäe <glen@pld-linux.org> c36db94
- new, based on maatkit.spec
  NOTE: before using it should patch in the /tmp race holes

